%define name    hydrogen
%define version 0.9.2
%define release 1mdk

Summary:	Hydrogen Drum Machine
Name:           %{name}
Version:        %{version}
Release:        %{release}
License:	GPL
Url:		http://hydrogen.sourceforge.net

Group:		Sound
Source:		http://www.hydrogen-music.org/download/sources/%{name}-%{version}.tar.bz2
BuildRoot:	%_tmppath/%{name}-buildroot
BuildRequires:	png-devel jpeg-devel qt3-devel pkgconfig
BuildRequires:	libalsa-devel jackit-devel libaudiofile-devel libsndfile-devel

%description
Hydrogen is a sample based drum machine with:
 Graphical user interface based on QT 3
 Sample based real-time audio engine
 Oss Audio driver
 Jack Audio driver
 Export to disk audio driver
 Alsa Midi input
 Import/export xml-based song file
 64 ticks per pattern
 16 voices with volume, mute, solo, pan capabilities
 Import of samples in wave, au, aiff format

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -fr $RPM_BUILD_ROOT
%makeinstall

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="Hydrogen" longtitle="Drum Machine" section="Multimedia/Sound"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cp data/img/gray/icon48.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cp data/img/gray/icon32.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cp data/img/gray/icon16.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%post
%update_menus
		
%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_bindir}/*
%{_datadir}/applications/%name.desktop
%{_menudir}/%name
%{_datadir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Mon Jul 25 2005 Austin Acton <austin@mandriva.org> 0.9.2-1mdk
- 0.9.2
- new source URL
- tidy buildrequires
- use included icons

* Wed May 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.1-2mdk
- Fix BuildRequires

* Sun Nov 28 2004 Austin Acton <austin@mandrake.org> 0.9.1-1mdk
- 0.9.1
- source URL

* Sat Sep 11 2004 Austin Acton <austin@mandrake.org> 0.9.0-1mdk
- 0.9.0
- drop libtoolize hack

* Fri Apr 2 2004 Austin Acton <austin@mandrake.org> 0.8.2-1mdk
- 0.8.2

* Sat Dec 27 2003 Austin Acton <austin@linux.ca> 0.8.1-1mdk
- 0.8.1
- delib
- libtoolize

* Sun Aug 24 2003 Michael Scherer <scherer.michael@free.fr> 0.8.0-3mdk
- BuildRequires ( automake1.6 ) 

* Tue Jul 15 2003 Austin Acton <aacton@yorku.ca> 0.8.0-2mdk
- DIRM

* Sat May 24 2003 Austin Acton <aacton@yorku.ca> 0.8.0-1mdk
- 0.8.0

* Wed May 21 2003 Austin Acton <aacton@yorku.ca> 0.7.6-1mdk
- 0.7.6
- add manpage
- mklibname

* Mon Feb 24 2003 Austin Acton <aacton@yorku.ca> 0.7.5-1mdk
- 0.7.5

* Wed Feb 12 2003 Austin Acton <aacton@yorku.ca> 0.7.4-2mdk
- fix requires/provides

* Tue Feb 11 2003 Austin Acton <aacton@yorku.ca> 0.7.4-1mdk
- initial package
